<div class="form-group required">
	<label class="col-sm-2 control-label">&{'nama_produk.label'}</label>
	<div class="col-sm-4">
		*{#{if action=='create' || produk?.status.equalsIgnoreCase('draft')}}*
			<input type="text" class="form-control alphanumeric" placeholder="" id="namaProduk" value="${produk?.nama_produk}" name="produk.nama_produk"/>
		*{#{/if}
		#{else }
			<input type="hidden" id="namaProduk" value="${produk?.nama_produk}" name="produk.nama_produk"/>
			<input type="text" class="form-control" value="${produk?.nama_produk}" readonly/>
		#{/else}}*
	</div>
	<div id="loadingName" class="col-sm-2" hidden="hidden">
		<div class="loader"></div>
	</div>
</div>
*{<div class="form-group">
    <label class="col-sm-2 control-label"></label>
    <div class="col-sm-10">
        <p style="color: #ac2925; line-height: 20px;">
            Nama Produk dan Merek Tidak bisa diubah lagi, pastikan penulisan sudah sesuai
        </p>
    </div>
</div>}*
<div class="form-group">
	<label class="col-sm-2 control-label">&{'komoditas.label'}</label>
	<div class="col-sm-4">
        <input type="hidden" value="${komoditas.id}" name="produk.komoditas_id">
		<input type="hidden" value="${komoditas.kelas_harga}" name="model.kelas_harga">
		<input type="hidden" value="${komoditas.kode_komoditas}" name="model.kode_komoditas">
        <p>${komoditas.nama_komoditas}</p>
	</div>
</div>
<div class="form-group required">
	<label class="col-sm-2 control-label">&{'merk.label'}</label>
	<div class="col-sm-4">
		#{if (action=='create' || produk?.status == 'draft') && komoditas?.penyedia_input_merk}
			<div>
				<input class="input-merk" required name="produk.manufaktur_check" value="1" type="radio" checked> &{'search'} &nbsp;
				<input class="input-merk" required name="produk.manufaktur_check" value="0" type="radio"> Input
			</div>
			<br>
		#{/if}
		<div class="merk-existing">
			#{if action=='create'}
				<select required class="form-control select2" name="produk.manufaktur_id">
					<option value="">&{'pilih_semua.label'}</option>
					#{list manufakturList, as:'m'}
						<option value="${m.id}" ${produk?.manufaktur_id == m.id ? "selected" : ""}>${m.nama_manufaktur}</option>
					#{/list}
				</select>
			#{/if}
			#{else }
				*{<input type="hidden" value="${produk?.manufaktur_id}" name="produk.manufaktur_id"/>}*
				<select class="form-control select2" name="produk.manufaktur_id">
					<option value="">&{'pilih_semua.label'}</option>
					#{list manufakturList, as:'m'}
						<option value="${m.id}" ${produk?.manufaktur_id == m.id ? "selected" : ""}>${m.nama_manufaktur}</option>
					#{/list}
				</select>
			#{/else}
		</div>
		<div class="merk-not-found" style="display: none;">
			<input type="text" name="produk.manufaktur_input" class="form-control" placeholder="Masukan Merk" required />
		</div>
	</div>
</div>
<div class="form-group">
	<label class="col-sm-2 control-label">&{'penyedia.label'}</label>
	<div class="col-sm-4">
		<p id="namaPenyedia">${user.nama_lengkap}</p>
	</div>
</div>
<div class="form-group required">
	<label class="col-sm-2 control-label">&{'nomor_produk.label'} (&{'penyedia.label'})</label>
	<div class="col-sm-4">
		<input id="inpNmr" type="text" name="produk.no_produk_penyedia" value="${produk?.no_produk_penyedia}" class="form-control alphanumeric" placeholder="" />
	</div>
    <div id="loadingNo" class="col-sm-2" hidden="hidden">
        <div class="loader"></div>
    </div>
</div>
<div class="form-group">
	<label class="col-sm-2 control-label">&{'jenis_produk.label'}</label>
	<div class="col-sm-4">
		<select class="form-control" name="produk.jenis_produk" ${!komoditas?.jenis_produk_override ? "disabled" : ""}>
			#{if komoditas?.jenis_produk_override}
				#{list jenisProduk, as:'jp'}
                    <option value="${jp}" ${produk?.jenis_produk.equals(jp) ? "selected" : ""}>${jp}</option>
				#{/list}
			#{/if}
			#{else }
                <option value="${komoditas?.jenis_produk}" >${komoditas?.jenis_produk}</option>
			#{/else}
		</select>
	</div>
</div>
<div class="form-group required">
	<label class="col-sm-2 control-label">&{'unit_pengukuran.label'}</label>
	<div class="col-sm-4">
		<select required class="form-control select2" name="produk.unit_pengukuran_id">
            <option value="">&{'pilih_semua.label'}</option>
			#{list unitPengukuranList, as:'u'}
				<option value="${u.id}" ${produk?.unit_pengukuran_id == u.id ? "selected" : ""}>${u.nama_unit_pengukuran}</option>
			#{/list}
		</select>
	</div>
</div>
<div class="form-group required">
	<label class="col-sm-2 control-label">&{'berlaku_sampai.label'}</label>
	<div class="col-sm-4">
		<input maxlength="12" type="text" value="${produk?.getExpiredString()}" name="produk.berlaku_sampai" class="form-control datepicker" placeholder="" />
	</div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label"></label>
    <div class="col-sm-10">
        <p style="color: #ac2925; line-height: 20px;">
            1. Diisi dengan masa berlaku NIE untuk Komoditas Obat <br>
			2. Diisi dengan masa berlaku AKD/AKL/Surat Keterangan Lainnya untuk Komoditas Alat Kesehatan <br>
			3. Diisi dengan masa berlaku Test Report untuk Komoditas Alat & Mesin pertanian <br>
			4. Selain dari 3 tersebut di atas, diisi dengan masa berlaku Kontrak Katalog <br>
		</p>
    </div>
</div>
<div class="form-group required">
    <label class="col-sm-2 control-label">&{'jumlah.label'} &{'stok_produk.label'}</label>
    <div class="col-sm-4">
		#{if komoditas?.apakah_stok_unlimited}
			<p>Unlimited</p>
		#{/if}
		#{else }
			#{if action=='create'}
                <input type="number" step="1" name="produk.jumlah_stok_form" required value="" class="form-control" placeholder="" />
			#{/if}
			#{else}
                <input type="number" step="1" name="produk.jumlah_stok_form" required value="${produk?.jumlah_stok_form != null ? produk?.jumlah_stok_form : ""}" class="form-control" placeholder="" />
			#{/else}
		#{/else}
    </div>
</div>
#{if komoditas?.apakah_stok_unlimited ==false }
	<div class="form-group required">
		<label class="col-sm-2 control-label">&{'jumlah.label'} &{'stok_inden.label'}</label>
		<div class="col-sm-4">
			#{if action=='create'}
				<input type="number" name="produk.jumlah_stok_inden_form"
					   step="1"
					   value=""
					   class="form-control" placeholder="" required="required" />
			#{/if}
			#{else}
				<input type="number" name="produk.jumlah_stok_inden_form"
					   step="1"
					   value="${produk?.jumlah_stok_inden_form != null ? produk?.jumlah_stok_inden_form : ""}"
					   class="form-control" placeholder="" required="required" />
			#{/else}
		</div>
	</div>
#{/if}
#{else}
*{	<p>indent not set unlimited</p>}*

#{/else}


<div class="form-group required">
	<label class="col-sm-2 control-label">&{'kategori_produk.label'}</label>
	<div class="col-sm-4" id="form_kategori">
        *{<select level="1" required class="form-control pilih_kategori select2" id="level1">}*
			*{<option value="">&{'pilih.label'}</option>}*
		*{#{list kategoriList, as:'kategori'}}*
            *{<option value="${kategori.id}" ${produk?.produk_kategori_id == kategori.id ? "selected" : ""}>${kategori.kategori}</option>}*
		*{#{/list}}*
        *{</select>}*
		<select level="1" id="level1" required class="form-control pilih_kategori select2" required>
			<option value="">&{'pilih.label'}</option>
		#{list kategoriList, as:'item'}
			<option value="${item.children.isEmpty()?item.id:''}" ${produk?.produk_kategori_id == item.id ? "selected" : ""} ${!item.children.isEmpty()?'disabled':''}>${item.nama_kategori}</option>
			#{if !item.children.isEmpty()}
				#{list item.children, as:'levelOne'}
					<option value="${levelOne.children.isEmpty()?levelOne.id:''}" ${produk?.produk_kategori_id == levelOne.id ? "selected" : ""} ${!levelOne.children.isEmpty()?'disabled':''}>&nbsp;&nbsp;&nbsp;&nbsp;${levelOne.nama_kategori}</option>
					#{if !levelOne.children.isEmpty()}
						#{list levelOne.children, as:'levelTwo'}
							<option value="${levelTwo.children.isEmpty()?levelTwo.id:''}" ${produk?.produk_kategori_id == levelTwo.id ? "selected" : ""} ${!levelTwo.children.isEmpty()?'disabled':''}>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${levelTwo.nama_kategori}</option>
							#{if !levelTwo.children.isEmpty()}
								#{list levelTwo.children, as:'levelThree'}
									<option value="${levelThree.children.isEmpty()?levelThree.id:''}" ${produk?.produk_kategori_id == levelThree.id ? "selected" : ""} ${!levelThree.children.isEmpty()?'disabled':''}>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${levelThree.nama_kategori}</option>
									#{if !levelThree.children.isEmpty()}
										#{list levelThree.children, as:'levelFour'}
											<option value="${levelFour.id}" ${produk?.produk_kategori_id == levelFour.id ? "selected" : ""}>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${levelFour.nama_kategori}</option>
										#{/list}
									#{/if}
								#{/list}
							#{/if}
						#{/list}
					#{/if}
				#{/list}
			#{/if}
		#{/list}
		</select>
		<input type="hidden" value="${produk?.produk_kategori_id}" name="produk.produk_kategori_id" id="kategori_id">
	</div>
</div>
<div class="form-group required">
    <label class="col-sm-2 control-label">TKDN(%)</label>
    <div class="col-sm-4">
        <input type="text" id="tkdn_produk" max="100" name="produk.tkdn_produk" value="${produk?.tkdn_produk}" class="form-control number" placeholder="" required onkeypress="allowNumbersOnly(event)" />
    </div>
</div>
<div class="form-group">
    <label class="col-sm-2 control-label"></label>
    <div class="col-sm-10">
        <p style="color: #ac2925">Diisi sesuai Sertifikat TKDN dan harus mengunggah Sertifikat TKDN pada lampiran. Apabila tidak ada Sertifikat TKDN, maka diisi nilai 0</p>
    </div>
</div>

